Name:           tile
Version:        0.8.2
Release:        1%{?dist}
Summary:        Modernized widgets for Tk

Group:          Development/Libraries
License:        MIT
URL:            http://tktable.sourceforge.net/tile/
Source0:        http://downloads.sourceforge.net/tktable/tile-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       tcl tk
BuildRequires:  tk-devel

%description
The Tile Widget Set is an experimental reimplementation of
some of the core Tk widgets.  The primary purpose is
to generate ideas for how to build the next generation of Tk,
when the asteroid strikes and we prepare for the 9.0 release.

%package devel
Summary: Development libraries and headers for building against tile
Group: Development/Libraries
Requires:       %{name} = %{version}-%{release}
%description devel
Development libraries and headers for building against tile.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

# Convert some doc files to UTF-8
for file in doc/html/*.html ; do
    sed -i -e 's/\o267/\&#183;/g' -e 's/\o240/\&nbsp;/g' $file
done

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/mann
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3

# The man pages have to be renamed so that they don't
# conflict with the man page names from the required
# tk package.
pushd doc
for i in *.n ; do 
    install -p -m 0644 $i $RPM_BUILD_ROOT/%{_mandir}/mann/tile_$i
done
install -p -m 0644 *.3 $RPM_BUILD_ROOT/%{_mandir}/man3/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}%{version}
%{_mandir}/mann/*
%{_mandir}/man3/*
%doc README.txt license.terms doc/converting.txt
%doc doc/html demos

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/*.a

%changelog
* Sun Dec 16 2007 Wart <wart at kobold.org> - 0.8.2-1
- Update to 0.8.2

* Tue Aug 21 2007 Wart <wart at kobold.org> - 0.7.8-2
- Rebuild for gcc BUILDID

* Mon Nov 6 2006 Wart <wart at kobold.org> - 0.7.8-1
- Update to 0.7.8
- Remove patch; it was accepted upstream

* Mon Aug 28 2006 Wart <wart at kobold.org> - 0.7.2-5
- Rebuild for Fedora Extras

* Thu Jun 1 2006 Wart <wart at kobold.org> - 0.7.2-4
- Fixed Requires: for -devel subpackage

* Wed Feb 22 2006 Wart <wart at kobold.org> - 0.7.2-3
- Add additional docuemntation
- Rename patch

* Wed Jan 11 2006 Wart <wart at kobold.org> - 0.7.2-2
- Fix configure quoting bug that was exposed by bash >= 3.1

* Fri Dec 9 2005 Wart <wart at kobold.org> - 0.7.2-1
- Initial Fedora spec file.
